pontos_rollback:
  extends: .capistrano
  variables:
    SSH_PRIVATE_KEY: $SSH_KEY_PONTOS
    SSH_SERVER: pontos.ucsd.edu
    SSH_USER: conan
  script:
    - rollback_to "pontos"
    - echo -e "section_start:$( date +%s ):chat_reply\r\033[0K\nPontos Rollback Succeeded - $CI_JOB_URL\nsection_end:$( date +%s ):chat_reply\r\033[0K"

staging_rollback:
  extends: .capistrano
  variables:
    SSH_PRIVATE_KEY: $SSH_KEY_STAGING
    SSH_SERVER: lib-hydrahead-staging.ucsd.edu
    SSH_USER: conan
  script:
    - rollback_to "staging"
    - echo -e "section_start:$( date +%s ):chat_reply\r\033[0K\nStaging Rollback Succeeded - $CI_JOB_URL\nsection_end:$( date +%s ):chat_reply\r\033[0K"

production_rollback:
  extends: .capistrano
  variables:
    SSH_PRIVATE_KEY: $SSH_KEY_PRODUCTION
    SSH_SERVER: lib-hydrahead-prod.ucsd.edu
    SSH_USER: conan
  script:
    - rollback_to "production"
    - echo -e "section_start:$( date +%s ):chat_reply\r\033[0K\nProduction Rollback Succeeded - $CI_JOB_URL\nsection_end:$( date +%s ):chat_reply\r\033[0K"
